module Simple::Sharding
  class Config
    DEFAULT_CONFIG = {
        shard_config_file: 'config/shard.yml'
    }

    # initialize config
    DEFAULT_CONFIG.each do |config_name, default_value|
      self.cattr_accessor config_name, instance_accessor: false
      self.send(config_name.to_s + '=', default_value)
    end

    # methods
    def self.config(name)
      DEFAULT_CONFIG[name]
    end
  end
end